Last Comment Bug 665023 - XPITriggerEvent::Run (nsXPITriggerInfo.cpp) should use NS_OK, not 0
: XPITriggerEvent::Run (nsXPITriggerInfo.cpp) should use NS_OK, not 0
Status: RESOLVED FIXED
[fixed by bug 652376]
:
Product: Core Graveyard
Classification: Graveyard
Component: Installer: XPInstall Engine (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: Mounir Lamouri (:mounir)
:
:
Mentors:
Depends on: 652376
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-17 09:45 PDT by Mounir Lamouri (:mounir)
Modified: 2015-12-11 07:21 PST (History)
2 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Trivial patch (2.78 KB, patch)
2011-06-17 09:45 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2011-06-17 09:45:05 PDT
Created attachment 540073 [details] [diff] [review]
Trivial patch

Basically, the patch is doing s/return 0;/return NS_OK;/. Looks like the method returns 0 even when failing but I'm not going to fix that in this patch (if it has to be fixed...).
Comment 1 Dave Townsend [:mossop] 2011-06-17 09:57:37 PDT
Comment on attachment 540073 [details] [diff] [review]
Trivial patch

This code isn't built and is due to be removed, no point wasting time on it
Comment 2 Mounir Lamouri (:mounir) 2011-06-20 03:43:21 PDT
Is there a bug tracking the removal of that code?
Comment 3 Dave Townsend [:mossop] 2011-06-20 08:00:10 PDT
(In reply to comment #2)
> Is there a bug tracking the removal of that code?

Bug 652376
Comment 4 James Napolitano 2012-03-25 17:13:45 PDT
The dependent bug has now been fixed and the underlying code is gone. We should close this bug.
Comment 5 Mounir Lamouri (:mounir) 2012-03-25 17:19:03 PDT
Indeed. Thanks for the reminder :)

Note You need to log in before you can comment on or make changes to this bug.